Package io.strimzi.systemtest.utils.specific

## Class CruiseControlUtils

- java.lang.Object
- - io.strimzi.systemtest.utils.specific.CruiseControlUtils

-     public class CruiseControlUtils
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CruiseControlUtils.SupportedHttpMethods` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CRUISE_CONTROL_METRICS_TOPIC` |
    `static String` | `CRUISE_CONTROL_MODEL_TRAINING_SAMPLES_TOPIC` |
    `static String` | `CRUISE_CONTROL_PARTITION_METRICS_SAMPLES_TOPIC` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `callApi​(CruiseControlUtils.SupportedHttpMethods method, io.strimzi.operator.cluster.operator.resource.cruisecontrol.CruiseControlEndpoints endpoint)` |
    `static String` | `callApi​(CruiseControlUtils.SupportedHttpMethods method, String endpoint)` |
    `static Properties` | `getKafkaCruiseControlMetricsReporterConfiguration​(String clusterName)` |
    `static void` | `verifyCruiseControlMetricReporterConfigurationInKafkaConfigMapIsPresent​(Properties kafkaProperties)` |
    `static void` | `verifyThatCruiseControlSamplesTopicsArePresent​(long timeout)` |
    `static void` | `verifyThatCruiseControlTopicsArePresent()` |
    `static void` | `verifyThatKafkaCruiseControlMetricReporterTopicIsPresent​(long timeout)` |
    `static void` | `waitForRebalanceEndpointIsReady()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CRUISE_CONTROL_METRICS_TOPIC

          public static final String CRUISE_CONTROL_METRICS_TOPIC

      See Also:
        Constant Field Values

    - #### CRUISE_CONTROL_MODEL_TRAINING_SAMPLES_TOPIC

          public static final String CRUISE_CONTROL_MODEL_TRAINING_SAMPLES_TOPIC

      See Also:
        Constant Field Values

    - #### CRUISE_CONTROL_PARTITION_METRICS_SAMPLES_TOPIC

          public static final String CRUISE_CONTROL_PARTITION_METRICS_SAMPLES_TOPIC

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### callApi

          public static String callApi​(CruiseControlUtils.SupportedHttpMethods method,
                                       io.strimzi.operator.cluster.operator.resource.cruisecontrol.CruiseControlEndpoints endpoint)

    - #### callApi

          public static String callApi​(CruiseControlUtils.SupportedHttpMethods method,
                                       String endpoint)

    - #### verifyCruiseControlMetricReporterConfigurationInKafkaConfigMapIsPresent

          public static void verifyCruiseControlMetricReporterConfigurationInKafkaConfigMapIsPresent​(Properties kafkaProperties)

    - #### verifyThatCruiseControlSamplesTopicsArePresent

          public static void verifyThatCruiseControlSamplesTopicsArePresent​(long timeout)

    - #### verifyThatKafkaCruiseControlMetricReporterTopicIsPresent

          public static void verifyThatKafkaCruiseControlMetricReporterTopicIsPresent​(long timeout)

    - #### verifyThatCruiseControlTopicsArePresent

          public static void verifyThatCruiseControlTopicsArePresent()

    - #### getKafkaCruiseControlMetricsReporterConfiguration

          public static Properties getKafkaCruiseControlMetricsReporterConfiguration​(String clusterName)
                                                                              throws IOException

      Throws:
        `IOException`

    - #### waitForRebalanceEndpointIsReady

          public static void waitForRebalanceEndpointIsReady()